<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Seasell - Login</title>
  <link rel="icon" type="image/x-icon" href="includes/images/icon-logo.png">
  <link rel="stylesheet" href="includes/css-bootstrap/bootstrap.min.css">
  <script type="text/javascript" src="includes/js/bootstrap.bundle.js"></script>
  <script type="text/javascript" src="/FrontEnd/includes/js/jquery.js"></script>
  <script type="module" src="includes/js/js.cookie.m.js"></script>
  <script nomodule defer src="includes/js/js.cookie.js"></script>
  <script type="module">
    import Cookies from "./includes/js/js.cookie.m.js";
    window.onload = function () {
      let usertxt = document.getElementById("username");
      let passtxt = document.getElementById("password");

      document.getElementById("login").addEventListener("click", login);

      usertxt.addEventListener("click", function () {
        float("user", "pass");
      });
      passtxt.addEventListener("click", function () {
        float("pass", "user");
      });

      function float(a, b) {
        document.getElementById(a).style.borderColor = "#9ecaed";
        document.getElementById(a).style.boxShadow =
          "0 0 0 4px rgba(182, 204, 254, 0.7)";
        document.getElementById(b).style.borderColor = "";
        document.getElementById(b).style.boxShadow = "";
      }
    };

    function login() {
      let usertxt = document.getElementById("username");
      let passtxt = document.getElementById("password");

      $.post(
        "/BackEnd/php/ajax/acct/login.php",
        {
          username: usertxt.value,
          passhash: passtxt.value,
        },
        function (resp) {
          console.log(resp);
          if (String(resp).startsWith("ERROR:")) {
            alert("Log-in failed!");
          }
          if (String(resp).startsWith("SUCCESS:")) {
            alert("Log-in successful!");
            let newsession = String(resp).replace("SUCCESS:", "");
            Cookies.set("SessionKey", newsession);
            Cookies.set("Username", usertxt.value);
            window.location.href = "/";
          }
        }
      );
    }


  </script>
  <link rel="stylesheet" href="css/login.css">
  <!--font links-->
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@200&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap" rel="stylesheet">
</head>

<body>
  <div class="container-fluid">
    <div class="row">
      <div class="col-xxl-2 col-xl-1"></div>
      <div class="col-xxl-8 col-xl-10 col-md-12">
        <div class="container-box">
          <div class="row">
            <div class="col-xxl-6 col-xl-6 c4 c">   
              <div class="text-pic">Welcome to SeaSell</div>  
              <div class="text-pic-1">Experience the difference. Shopping the way you like it! </div>  
              <div class="pic-login"></div>
            </div>
            <div class="col-xxl-6 col-xl-6 c">
              <div class="box">
                <img src="./includes/images/logo-color.png" class="logo">
                <h3 class="user-txt-title">Sign in to SeaSell</h3>

                <!--USERNAME-->
                <div class="user-text">&nbspUsername
                <input type="text" id="username" class="user-txtbox" placeholder="Enter username"  
                oninput="valid('username')" maxlength="30"></div>
                <label id="req1">Username is a required field</label>
                <!--PASSWORD-->
                <div class="user-text">&nbspPassword
                <input type="password" id="password" class="user-txtbox" placeholder="Enter password"  
                oninput='valid("password")' maxlength="20"></div>
                <label id="req2" style="margin-bottom:5px">Password is a required field</label><br>

                <input type="checkbox" id="check" onclick="showpass()" class="form-check-input checkbox"> Show Password
                <a href="forgetpass.html" class="forget-text">Forget Password?</a>

                <input type="submit" class="login-btn" value="Sign In" id="login"> <!-- TEMPORARY: MUST BE DISABLED BY DEFAULT-->
                <p class="p1">Dont have an account?<a href="register.html" class="p2"> Sign Up</a></p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-xxl-2 col-xl-1"></div>
    </div>
  </div>
</body>


</html>
